質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.64%

Pythonであるパッケージのインストールに失敗します。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,912

BURI55

score 23

前提・実現したいこと

Phythonで機械学習の変換システムを作っています。
Pysptkのインストール中に次のエラーメッセージが発生しました。

発生している問題・エラーメッセージ

 Collecting pysptk
  Using cached pysptk-0.1.10.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\KHB15\AppData\Local\Temp\pip-build-pwyzyltm\pysptk\setup.py", line 25, in <module>
        ['git', 'rev-parse', 'HEAD'], cwd=cwd).decode('ascii').strip()
      File "C:\Users\KHB15\Anaconda3\lib\subprocess.py", line 336, in check_output
        **kwargs).stdout
      File "C:\Users\KHB15\Anaconda3\lib\subprocess.py", line 403, in run
        with Popen(*popenargs, **kwargs) as process:
      File "C:\Users\KHB15\Anaconda3\lib\subprocess.py", line 709, in __init__
        restore_signals, start_new_session)
      File "C:\Users\KHB15\Anaconda3\lib\subprocess.py", line 997, in _execute_child
        startupinfo)
    FileNotFoundError: [WinError 2] 指定されたファイルが見つかりません。
    Command "python setup.py egg_info" failed with error code 1 in C:\Users\KHB15\AppData\Local\Temp\pip-build-pwyzyltm\pysptk\


gitを入れて再実行しました。

> C:\become-yukarin\become-yukarin\scripts>git --version
git version 2.16.2.windows.1

C:\become-yukarin\become-yukarin\scripts>pip install pysptk
Collecting pysptk
  Using cached pysptk-0.1.10.tar.gz
Requirement already satisfied: numpy>=1.8.0 in c:\anaconda3\lib\site-packages (from pysptk)
Requirement already satisfied: six in c:\anaconda3\lib\site-packages (from pysptk)
Requirement already satisfied: decorator in c:\anaconda3\lib\site-packages (from pysptk)
Building wheels for collected packages: pysptk
  Running setup.py bdist_wheel for pysptk ... error
  Failed building wheel for pysptk
  Running setup.py clean for pysptk
Failed to build pysptk
Installing collected packages: pysptk
  Running setup.py install for pysptk ... error
Exception:
Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x83 in position 5: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\commands\install.py", line 342, in run
    prefix=options.prefix_path,
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 784, in install
    **kwargs
  File "C:\Anaconda3\lib\site-packages\pip\req\req_install.py", line 878, in install
    spinner=spinner,
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x83 in position 5: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\commands\install.py", line 385, in run
    requirement_set.cleanup_files()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 729, in cleanup_files
    req.remove_temporary_source()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_install.py", line 977, in remove_temporary_source
    rmtree(self.source_dir)
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 49, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 212, in call
    raise attempt.get()
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 247, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\six.py", line 686, in reraise
    raise value
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 200, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 102, in rmtree
    onerror=rmtree_errorhandler)
  File "C:\Anaconda3\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 376, in _rmtree_unsafe
    onerror(os.listdir, path, sys.exc_info())
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 112, in rmtree_errorhandler
    os.chmod(path, stat.S_IWRITE)
PermissionError: [WinError 5] アクセスが拒否されました。: 'C:\\Users\\KHB15\\AppData\\Local\\Temp\\pip-build-hy1k76f9\\pysptk\\lib\\SPTK\\include'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "C:\Anaconda3\lib\site-packages\pip\commands\install.py", line 385, in run
    requirement_set.cleanup_files()
  File "C:\Anaconda3\lib\site-packages\pip\utils\build.py", line 38, in __exit__
    self.cleanup()
  File "C:\Anaconda3\lib\site-packages\pip\utils\build.py", line 42, in cleanup
    rmtree(self.name)
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 49, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 212, in call
    raise attempt.get()
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 247, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\six.py", line 686, in reraise
    raise value
  File "C:\Anaconda3\lib\site-packages\pip\_vendor\retrying.py", line 200, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 102, in rmtree
    onerror=rmtree_errorhandler)
  File "C:\Anaconda3\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Anaconda3\lib\shutil.py", line 376, in _rmtree_unsafe
    onerror(os.listdir, path, sys.exc_info())
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 112, in rmtree_errorhandler
    os.chmod(path, stat.S_IWRITE)
PermissionError: [WinError 5] アクセスが拒否されました。: 'C:\\Users\\KHB15\\AppData\\Local\\Temp\\pip-build-hy1k76f9\\pysptk\\lib\\SPTK\\include'

該当のソースコード

pip install pysptk

試したこと

https://qiita.com/ruteshi_SI_shiteru/items/be6a58276bdbd67dc096
によるpipのファイルの書き換え
システム入れ直し
Gitを入れてみました。
補足情報(FW/ツールのバージョンなど)
Python3.6(Anaconda)2.7や3.4や3.5ではダメでした。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

対象マシンにgitがインストールされていることが前提のパッケージのようですね。
コマンドラインからGitを使う(for Windows)を参考にしてgitをインストールしたあとにpip install pysptkするとよいです。

setup.py内のハッシュ取得部分をコメントアウトしてもイケますが。

Win10+Anaconda(3.5.4)環境で再現。

C:\WINDOWS\system32>git --version
git version 2.16.2.windows.1

C:\WINDOWS\system32>pip install pysptk
Collecting pysptk
  Using cached pysptk-0.1.10.tar.gz
Requirement already satisfied: numpy>=1.8.0 in c:\program files\anaconda3\lib\site-packages (from pysptk)
Requirement already satisfied: six in c:\program files\anaconda3\lib\site-packages (from pysptk)
Requirement already satisfied: decorator in c:\program files\anaconda3\lib\site-packages (from pysptk)
Building wheels for collected packages: pysptk
  Running setup.py bdist_wheel for pysptk ... done
  Stored in directory: C:\Users\hoge\AppData\Local\pip\Cache\wheels\86\31\86\cb7374022d874bf76a4a754dcbc57ed2ffa9cb9dc4ffbf0a42
Successfully built pysptk
Installing collected packages: pysptk
Successfully installed pysptk-0.1.10

C:\WINDOWS\system32>python
Python 3.5.4 |Anaconda custom (64-bit)| (default, Nov  8 2017, 14:34:30) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import pysptk
>>> pysptk.__version__
'0.1.10'
>>>

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/03/08 17:03

    gitをインストールしたあとにpipでインストールしようとしましたが、多量のエラーが出ます。

    キャンセル

  • 2018/03/08 17:12

    システム入れ直してて、pipにパッチ当てるの忘れてました。できました。ありがとうございます。

    キャンセル

  • 2018/03/08 17:12

    PermissionError:管理者権限が必要なようです。

    キャンセル

  • 2018/03/08 17:12

    コマンドプロンプトは管理者で起動→実行していますか?

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.64%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる